<?php
// +-----------------------------------------------------------------------+
// | pwgCumulus  - a plugin for Piwigo                                     |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2009      Nicolas Roudaire        http://www.nikrou.net  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

add_event_handler('loc_end_page_header', 'pwg_cumulus_addAssets');

load_language('plugin.lang', PWG_CUMULUS_PLUGIN_LANG);

$me = get_plugin_data($plugin_id);
$save_config = false;

if (!empty($_POST['submit'])) {
  if (!empty($_POST['pwg_cumulus_width']) && intval($_POST['pwg_cumulus_width'])!=$me->pwg_cumulus_width) {
    $me->pwg_cumulus_width = intval($_POST['pwg_cumulus_width']);
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_width_changed']);
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_height']) && intval($_POST['pwg_cumulus_height'])!=$me->pwg_cumulus_height) {
    $me->pwg_cumulus_height = intval($_POST['pwg_cumulus_height']);
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_height_changed']);
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_coeff']) && intval($_POST['pwg_cumulus_coeff'])!=$me->pwg_cumulus_coeff) {
    $me->pwg_cumulus_coeff = intval($_POST['pwg_cumulus_coeff']);
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_coeff_changed']);
    $save_config = true;
  }

  if (!empty($_POST['pwg_cumulus_color1']) && trim($_POST['pwg_cumulus_color1'])!=$me->pwg_cumulus_color1) {
    //    $me->pwg_cumulus_color1 = trim($_POST['pwg_cumulus_color1'], " /\n\t\r\0\x0B");
    $me->pwg_cumulus_color1 = $_POST['pwg_cumulus_color1'];
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_color1_changed']);
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_color2']) && trim($_POST['pwg_cumulus_color2'])!=$me->pwg_cumulus_color2) {
    //    $me->pwg_cumulus_color2 = trim($_POST['pwg_cumulus_color2'], " /\n\t\r\0\x0B");
    $me->pwg_cumulus_color2 = $_POST['pwg_cumulus_color2'];
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_color2_changed']);
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_hicolor']) && trim($_POST['pwg_cumulus_hicolor'])!=$me->pwg_cumulus_hicolor) {
    //    $me->pwg_cumulus_hicolor = trim($_POST['pwg_cumulus_hicolor'], " /\n\t\r\0\x0B");
    $me->pwg_cumulus_hicolor = $_POST['pwg_cumulus_hicolor'];
    array_push($GLOBALS['page']['infos'], $lang['pwg_cumulus_hicolor_changed']);
    $save_config = true;
  }

  if ($save_config) {
    $me->save_config();
  }
}

$GLOBALS['template']->set_filenames(array('plugin_admin_content' => PWG_CUMULUS_PLUGIN_TEMPLATE . '/admin.tpl'));
$GLOBALS['template']->assign('PWG_CUMULUS_WIDTH', $me->pwg_cumulus_width); 
$GLOBALS['template']->assign('PWG_CUMULUS_HEIGHT', $me->pwg_cumulus_height); 
$GLOBALS['template']->assign('PWG_CUMULUS_COEFF', $me->pwg_cumulus_coeff); 
$GLOBALS['template']->assign('PWG_CUMULUS_COLOR1', $me->pwg_cumulus_color1);
$GLOBALS['template']->assign('PWG_CUMULUS_COLOR2', $me->pwg_cumulus_color2);
$GLOBALS['template']->assign('PWG_CUMULUS_HICOLOR', $me->pwg_cumulus_hicolor);
$GLOBALS['template']->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

function pwg_cumulus_addAssets() {
  $css_format = '<link rel="stylesheet" type="text/css" href="%s/%s.css">'."\n";
  $js_format = '<script type="text/javascript" src="%s"></script>'."\n";
  
  $GLOBALS['template']->append('head_elements', 
			       sprintf($css_format,
				       PWG_CUMULUS_PLUGIN_CSS,
				       'admin'
				       )
			       );
  $GLOBALS['template']->append('head_elements', 
			       sprintf($css_format,
				       PWG_CUMULUS_PLUGIN_CSS,
				       'farbtastic'
				       )
			       );
  $GLOBALS['template']->func_known_script(array('id' => 'farbtastic',
						'src' => PWG_CUMULUS_PLUGIN_JS. '/farbtastic.js'
						),
					  $GLOBALS['template']->smarty
					  );


}
?>
